[ANN] LuaSec 0.6

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[ANN] LuaSec 0.6

Bruno Silvestre-2
LuaSec depends on OpenSSL, and integrates with LuaSocket to make it
easy to add secure connections to any Lua applications or scripts.

This version includes:

* Lua 5.2 and 5.3 compatibility
* Context module:
   - Add ctx:checkkey()
   - Add "any" protocol ("sslv23" is deprecated)
* SSL module:
   - Add conn:sni() and conn:getsniname()
* HTTPS module:
  - Using "any" protocol without SSLv2/SSLv3, by default
* X509 module:
  - Human readable IP address
  - Add cert:issued()
  - Add cert:pubkey()
* Some bug fixes

--
bruno

Reply | Threaded
Open this post in threaded view
|

Re: [ANN] LuaSec 0.6

Thibault Charbonnier
On 3/4/16 9:19 AM, Bruno Silvestre wrote:

> LuaSec depends on OpenSSL, and integrates with LuaSocket to make it
> easy to add secure connections to any Lua applications or scripts.
>
> This version includes:
>
> * Lua 5.2 and 5.3 compatibility
> * Context module:
>     - Add ctx:checkkey()
>     - Add "any" protocol ("sslv23" is deprecated)
> * SSL module:
>     - Add conn:sni() and conn:getsniname()
> * HTTPS module:
>    - Using "any" protocol without SSLv2/SSLv3, by default
> * X509 module:
>    - Human readable IP address
>    - Add cert:issued()
>    - Add cert:pubkey()
> * Some bug fixes
>
> --
> bruno
>

This is great news, happy to hear about support for 5.2/5.2. Thank you
for your work!

Regards,
Thibault